// creator  : weidu.exe (version 23100)
// argument : RIGEN02.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~RIGEN02~ 1 // non-zero flags may indicate non-pausing dialogue

IF ~!InPartySlot(LastTalkedToBy,0)
~ THEN BEGIN 0 // from:
  SAY #38488 /* ~I am no one you need to concern yourself with, traveler.  I am here to ensure the safety of Lord Igen, and that is all.~ */
  IF ~~ THEN EXIT
END

IF ~InPartySlot(LastTalkedToBy,0)
Global("IgenJob","GLOBAL",0)
~ THEN BEGIN 1 // from:
  SAY #38489 /* ~If you have business with Lord Igen, I suggest you talk to him.~ */
  IF ~~ THEN EXIT
END

IF ~InPartySlot(LastTalkedToBy,0)
Global("IgenJob","GLOBAL",1)
~ THEN BEGIN 2 // from:
  SAY #38490 /* ~You have agreed to undertake Lord Igen's search for him?  Then you are foolish, indeed.  He will not stray from his quarry... and I doubt you have the ability to complete the task.~ */
  IF ~~ THEN EXIT
END
